types.h File Reference

Go to the source code of this file.

## Macros

#define | __SIZE_T_DEFINED

## Typedefs

typedef signed char | INT8
typedef unsigned char | UINT8
typedef signed int | INT16
typedef unsigned int | UINT16
typedef signed long | INT32
typedef unsigned long | UINT32
typedef unsigned int | size_t
typedef unsigned int | clock_t

## Detailed Description

Types definitions for the gb.

## Macro Definition Documentation

## __SIZE_T_DEFINED

#define __SIZE_T_DEFINED

## Typedef Documentation

## INT8

typedef signed char INT8

Signed eight bit.

## UINT8

typedef unsigned char UINT8

Unsigned eight bit.

## INT16

typedef signed int INT16

Signed sixteen bit.

## UINT16

typedef unsigned int UINT16

Unsigned sixteen bit.

## INT32

typedef signed long INT32

Signed 32 bit.

## UINT32

typedef unsigned long UINT32

Unsigned 32 bit.

## size_t

typedef unsigned int size_t

## clock_t

typedef unsigned int clock_t

Returned from clock

See also
  clock